CREATE TABLE ase_ad_user_attribute (
    ATTRIBUTE_NAME           VARCHAR2(1020),
    CONFIGURATION_ID         NUMBER(18, 0) ,
    SOURCE                   VARCHAR2(120)     NOT NULL,
    IS_VALID                 VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ase_ad_user_attribute PRIMARY KEY (ATTRIBUTE_NAME, CONFIGURATION_ID)
);
